--- title: "GetServersTop" slug: "management-cloudinsight-getserverstop" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getserverstop" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetServersTop Available in Classic and VPC Get the top five servers with the highest CPU, memory, and file system usage from the servers owned by the user account. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/servers/top | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `query` | String | Required | Metric name - `avg_cpu_used_rto` \| `mem_usert` \| `avg_fs_usert` - `avg_cpu_used_rto`: CPU usage average - `mem_usert`: memory usage - `avg_fs_usert`: file system usage average | | `prod` | String | Optional | Environment in which the server is located - `VPC` (default)\| `Classic` - `VPC`: VPC environment - `Classic`: Classic environment | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/servers/top?query=avg_cpu_used_rto&prod=vpc' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `avg_cpu_user_rto` | String | - | CPU user ratio average (%) | | `hostName` | String | - | Host name | | `instanceNo` | String | - | Host instance number | | `avg_cpu_used_rto` | Number | - | CPU usage average (%) | | `avg_fs_usert` | Number | - | File system usage average (%) | | `mem_usert` | Number | - | Memory usage (%) | ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "avg_cpu_user_rto": "0.34282196", "hostName": "**********", "instanceNo": "**********", "avg_cpu_used_rto": 0.34282196, "avg_fs_usert": 8.1264, "mem_usert": 4.8596377 }, { "avg_cpu_user_rto": "0.3427846", "hostName": "**********", "instanceNo": "**********", "avg_cpu_used_rto": 0.3427846, "avg_fs_usert": 8.132111, "mem_usert": 4.678288 }, { "avg_cpu_user_rto": "0.34265983", "hostName": "**********", "instanceNo": "**********", "avg_cpu_used_rto": 0.34265983, "avg_fs_usert": 8.128385, "mem_usert": 4.7205358 }, { "avg_cpu_user_rto": "0.3425775", "hostName": "**********", "instanceNo": "**********", "avg_cpu_used_rto": 0.3425775, "avg_fs_usert": 8.1275215, "mem_usert": 4.7187376 }, { "avg_cpu_user_rto": "0.32602215", "hostName": "**********", "instanceNo": "**********", "avg_cpu_used_rto": 0.32602215, "avg_fs_usert": 8.127369, "mem_usert": 4.765153 } ] ```